GXml.DomHtmlDocument – GXml-0.20 Reference Manual

# DomHtmlDocument

## Object Hierarchy:

## Description:

public interface DomHtmlDocument : Object, DomDocument

Interface for HTML handling implementation

All known implementing classes:

- XHtmlDocument

Namespace: GXml
Package: GXml-0.20

## Content:

### Methods:

- public abstract void read_from_string (string str) throws Error
  This method reads HTML documents using default parser
- public abstract void read_from_string_tolerant (string str) throws Error
  This method reads HTML documents using default a very tolerant parser
- public abstract string to_html () throws Error
  This method dump to HTML string.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GXml.DomDocument

- adopt_node
- character_set
- compat_mode
- content_type
- create_comment
- create_document_fragment
- create_element
- create_element_ns
- create_event
- create_node_iterator
- create_processing_instruction
- create_range
- create_stream
- create_stream_async

- create_text_node
- create_tree_walker
- doctype
- document_element
- document_uri
- get_elements_by_class_name
- get_elements_by_tag_name
- get_elements_by_tag_name_ns
- get_xml_parser
- implementation
- import_node
- origin
- read_from_file

- read_from_file_async
- read_from_stream
- read_from_stream_async
- read_from_string
- read_from_string_async
- set_xml_parser
- url
- write_file
- write_file_async
- write_stream
- write_stream_async
- write_string
- write_string_async